Grok 视频 API
API 主机:
https://api.omniall.ai · 鉴权 Authorization: Bearer sk-...。
常用模型(见模型广场):
grok-imagine-video-1.5-previewgrok-imagine-video
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
通过 /v1/videos 调用 xAI Grok Imagine Video。
| 说明 | 方法 | 路径 |
|---|---|---|
| 创建 | POST | /v1/videos |
| 查询 | GET | /v1/videos/{task_id} |
https://api.omniall.ai · 鉴权 Authorization: Bearer sk-...。
常用模型(见模型广场):
grok-imagine-video-1.5-previewgrok-imagine-video| 场景 | 关键字段 |
|---|---|
| 文生视频 | prompt + seconds + aspect_ratio + resolution |
| 单图生视频 | 增加 image(URL 或 Data URI) |
| 多图参考 | 增加 reference_images(不要与 image 同时使用) |
curl -X POST "https://api.omniall.ai/v1/videos" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "grok-imagine-video",
"prompt": "雨夜霓虹小巷倒影",
"seconds": "6",
"aspect_ratio": "16:9",
"resolution": "720P"
}'